> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alpic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a beacon audit

> Audit an MCP server for spec compliance and AI client compatibility



## OpenAPI

````yaml https://api.alpic.ai/openapi.json post /v1/beacon/audits
openapi: 3.1.1
info:
  title: Alpic API
  version: 1.0.0
servers:
  - url: https://api.alpic.ai
security:
  - bearerAuth: []
paths:
  /v1/beacon/audits:
    post:
      tags:
        - beacon
      summary: Create a beacon audit
      description: Audit an MCP server for spec compliance and AI client compatibility
      operationId: beacon.create.v1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                targetUrl:
                  type: string
                  format: uri
                  description: The HTTPS URL of the MCP server to audit
                teamId:
                  type: string
                  description: The team ID to associate the audit with
                projectId:
                  type: string
                  description: The project ID to associate the audit with
                excludeCategories:
                  type: array
                  items:
                    enum:
                      - connectivity
                      - tool-metadata
                      - resource-metadata
                      - performance
                      - e2e
                    type: string
                  description: Check categories to exclude from the audit
              required:
                - targetUrl
      responses:
        '200':
          description: The audit has been created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required:
                  - id
        '400':
          description: '400'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: BAD_REQUEST
                      status:
                        const: 400
                      message:
                        type: string
                        default: Bad Request
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: DNS_RESOLUTION_FAILED
                      status:
                        const: 400
                      message:
                        type: string
                        default: DNS_RESOLUTION_FAILED
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Bearer token for authentication. Use an API key from the API Keys page
        in team settings, or an OAuth access token.
      scheme: bearer

````